Page MenuHomePhabricator

Decimal to minute/seconds conversion of Geocoordinates is not accurate
Closed, ResolvedPublic

Description

Just going to copy some logs from Wikidata.org:

[02:58:09 PM] <Sven_Manguard> legoktm: okay. So go to the English Wikipedia article on Harvard. Click the map icon and choose the google maps. It dumps you right on Harvard. That's good.
[02:58:48 PM] <Sven_Manguard> take that same number and stick it in Wikidata
[02:59:01 PM] <Sven_Manguard> 42.374444, -71.116944 is rendered on Wikidata as 42°22'27.998"N, 72°52'59.002"W
[02:59:10 PM] <Sven_Manguard> legoktm: and winds up in a forest

...

[03:01:45 PM] <Sven_Manguard> http://maps.google.com/maps?client=firefox-a&hs=FHW&rls=org.mozilla:en-US:official&q=42%C2%B021%2735.35%22N,+72%C2%B054%2728.4%22W&bav=on.2,or.r_qf.&bvm=bv.47534661,d.dmg&biw=1600&bih=769&um=1&ie=UTF-8&sa=X&ei=k0y2UcHUJYHD4APLp4DQDg&ved=0CAgQ_AUoAg

[03:01:57 PM] <Sven_Manguard> that's 42°21'35.35"N, 72°54'28.4"W, which is MIT
[03:02:32 PM] <Sven_Manguard> which is what I got on Wikidata when I put 42.35982, -71.09211 into Wikidata
[03:02:58 PM] <Sven_Manguard> 42° 21′ 35.35″ N, 71° 5′ 31.6″ W is what it should be
[03:03:09 PM] <Sven_Manguard> it's screwing up west

...

[03:08:36 PM] <Sven_Manguard> 42.35982, -71.09211 should be 42°21′35.35″N, 71°5′31.6″W and I got 42°21'35.35"N, 72°54'28.4"W

....

[03:07:56 PM] <Sven_Manguard> legoktm: weirdly, only for west
[03:08:01 PM] <Sven_Manguard> and maybe east, I haven't tested east
[03:08:04 PM] <Sven_Manguard> but north was fine

Timestamps PDT.


Version: unspecified
Severity: major

Details

Reference
bz49415

Event Timeline

bzimport raised the priority of this task from to Unbreak Now!.Nov 22 2014, 2:07 AM
bzimport set Reference to bz49415.
bzimport added a subscriber: Unknown Object (MLST).
Legoktm created this task.Jun 10 2013, 10:24 PM

svenmanguard wrote:

I'm going to put the prose version I've posted to Project Chat here, as the log isn't as clear.

"It was discovered a short time ago that the Geographic coordinate datatype was converting inputs made in the decimal style system into minute/second system incorrectly. For example, the location of Massachusetts Institute of Technology is 42.35982, -71.09211 in the decimal system and 42°21′35.35″N, 71°5′31.6″W in the minute/second system, however if 42.35982, -71.09211 is entered as a value, it is converted to 42°21'35.35"N, 72°54'28.4"W, which is correct in the north value but incorrect in the west value."

I'm also upping this to highest priority, because we can't have a datatype systematically churning out bad data.

svenmanguard wrote:

The problem is significantly worse than initially envisioned; the issue is not one of converting from decimals to minute/second, it's one of Wikidata just doing really weird things across the board trying to handle west.

So I tried to convert the value 32°55'27"N, 96°45'49"E to 32°55'27"N, 96°45'49"W at https://www.wikidata.org/wiki/Q2504328 and when I changed the letter, it changed the value to 32°55'N, 97°14'W. There are two issues here. First, where the heck did 97°14'W come from, and second, why is it forcing me into using a arcminute level of detail when I am presenting it a value that has arcseconds (and it was already in a value that had arcseconds).

I am seeing similar issues when trying to change north to south.

Related URL: https://gerrit.wikimedia.org/r/67967 (Gerrit Change I9f9bb6ffdc7ba93bdd51561fed6110f6f854c359)

Related URL: https://gerrit.wikimedia.org/r/67972 (Gerrit Change I9f9bb6ffdc7ba93bdd51561fed6110f6f854c359)

hoo added a comment.Jun 12 2013, 8:50 PM

Should be resolved, please let us know if further problems arise.

Verified in Wikidata demo sprint 22-9